Author Topic: The BP Compatibility package  (Read 21126 times)

0 Members and 1 Guest are viewing this topic.

Offline cahdoge

  • 26
  • Is a lubricated bug a butterfly?
Re: The BP Compatibility package
thanks for the help.

funily it works wit the 3.7.1 builds but not with the mediavps 2014.
Understanding do you me?

 

Offline General Battuta

  • Poe's Law In Action
  • 214
  • i wonder when my postcount will exceed my iq
Re: The BP Compatibility package
The 2014 MediaVPs are not a build. They are a content package. They are not compatible with Blue Planet. You need to have the 3.6.12 MediaVPs installed in your mediavps_3612 folder for Blue Planet to work correctly, as described in the install instructions.

 

Offline cahdoge

  • 26
  • Is a lubricated bug a butterfly?
Re: The BP Compatibility package
I know but when I'm using the 3.6.17 build and the mediavps_2014 it's funnily not working.

The other way around it does.
Understanding do you me?

 

Offline AdmiralRalwood

  • 211
  • The Cthulhu programmer himself!
    • Skype
    • Steam
    • Twitter
Re: The BP Compatibility package
I know but when I'm using the 3.6.17 build and the mediavps_2014 it's funnily not working.

The other way around it does.
That's not funny at all; the 2014 MediaVPs require a 3.7.1+ build of FSO.
Ph'nglui mglw'nafh Codethulhu GitHub wgah'nagl fhtagn.

schrödinbug (noun) - a bug that manifests itself in running software after a programmer notices that the code should never have worked in the first place.

When you gaze long into BMPMAN, BMPMAN also gazes into you.

"I am one of the best FREDders on Earth" -General Battuta

<Aesaar> literary criticism is vladimir putin

<MageKing17> "There's probably a reason the code is the way it is" is a very dangerous line of thought. :P
<MageKing17> Because the "reason" often turns out to be "nobody noticed it was wrong".
(the very next day)
<MageKing17> this ****ing code did it to me again
<MageKing17> "That doesn't really make sense to me, but I'll assume it was being done for a reason."
<MageKing17> **** ME
<MageKing17> THE REASON IS PEOPLE ARE STUPID
<MageKing17> ESPECIALLY ME

<MageKing17> God damn, I do not understand how this is breaking.
<MageKing17> Everything points to "this should work fine", and yet it's clearly not working.
<MjnMixael> 2 hours later... "God damn, how did this ever work at all?!"
(...)
<MageKing17> so
<MageKing17> more than two hours
<MageKing17> but once again we have reached the inevitable conclusion
<MageKing17> How did this code ever work in the first place!?

<@The_E> Welcome to OpenGL, where standards compliance is optional, and error reporting inconsistent

<MageKing17> It was all working perfectly until I actually tried it on an actual mission.

<IronWorks> I am useful for FSO stuff again. This is a red-letter day!
* z64555 erases "Thursday" and rewrites it in red ink

<MageKing17> TIL the entire homing code is held up by shoestrings and duct tape, basically.

 

Offline Kolgena

  • 211
Re: The BP Compatibility package
The 2014 MediaVPs are not a build. They are a content package. They are not compatible with Blue Planet. You need to have the 3.6.12 MediaVPs installed in your mediavps_3612 folder for Blue Planet to work correctly, as described in the install instructions.

Out of curiosity, I remember that some people posted in the BP discussion thread that the 2014 MVPs work with a simple mod.ini edit. On my end, MVP2014 is working without issue. What exactly would cause incompatibility? (Mind, I usually just play select missions here and there like Aristea and Delenda este because I found them the most fun. Haven't done a full run through with MVP2014)

 

Offline General Battuta

  • Poe's Law In Action
  • 214
  • i wonder when my postcount will exceed my iq
Re: The BP Compatibility package
We say they are incompatible because we haven't had a chance to test. If a couple reliable people can start a thread and cert that BP works fine all the way through on 2014s that'd be awesome.

 

Offline AdmiralRalwood

  • 211
  • The Cthulhu programmer himself!
    • Skype
    • Steam
    • Twitter
Re: The BP Compatibility package
We say they are incompatible because we haven't had a chance to test. If a couple reliable people can start a thread and cert that BP works fine all the way through on 2014s that'd be awesome.
I went through Act 1, at least, with the 2014 MediaVPs with a debug build and found no problems. If nobody else gets around to it, I'll probably find some time sooner or later to finish the rest of WiH.
Ph'nglui mglw'nafh Codethulhu GitHub wgah'nagl fhtagn.

schrödinbug (noun) - a bug that manifests itself in running software after a programmer notices that the code should never have worked in the first place.

When you gaze long into BMPMAN, BMPMAN also gazes into you.

"I am one of the best FREDders on Earth" -General Battuta

<Aesaar> literary criticism is vladimir putin

<MageKing17> "There's probably a reason the code is the way it is" is a very dangerous line of thought. :P
<MageKing17> Because the "reason" often turns out to be "nobody noticed it was wrong".
(the very next day)
<MageKing17> this ****ing code did it to me again
<MageKing17> "That doesn't really make sense to me, but I'll assume it was being done for a reason."
<MageKing17> **** ME
<MageKing17> THE REASON IS PEOPLE ARE STUPID
<MageKing17> ESPECIALLY ME

<MageKing17> God damn, I do not understand how this is breaking.
<MageKing17> Everything points to "this should work fine", and yet it's clearly not working.
<MjnMixael> 2 hours later... "God damn, how did this ever work at all?!"
(...)
<MageKing17> so
<MageKing17> more than two hours
<MageKing17> but once again we have reached the inevitable conclusion
<MageKing17> How did this code ever work in the first place!?

<@The_E> Welcome to OpenGL, where standards compliance is optional, and error reporting inconsistent

<MageKing17> It was all working perfectly until I actually tried it on an actual mission.

<IronWorks> I am useful for FSO stuff again. This is a red-letter day!
* z64555 erases "Thursday" and rewrites it in red ink

<MageKing17> TIL the entire homing code is held up by shoestrings and duct tape, basically.

 

Offline cahdoge

  • 26
  • Is a lubricated bug a butterfly?
Re: The BP Compatibility package
In principle it's working with 3.7.1 and madcaps_2014.

But i get several bugwarnings of missing LOD0 animations of impacts and explosions.
Also some of invalid armour names.

The result is that some glow effects are missing.
« Last Edit: May 28, 2014, 07:57:36 am by cahdoge »
Understanding do you me?

 
Re: The BP Compatibility package
We say they are incompatible because we haven't had a chance to test. If a couple reliable people can start a thread and cert that BP works fine all the way through on 2014s that'd be awesome.
Shall play through all acts and report. Does the first post contain the latest version of the compatibility pack or is there only one version? Is it compatible with 3.7.2 RC1?

 

Offline niffiwan

  • 211
  • Eluder Class
Re: The BP Compatibility package
Shall play through all acts and report. Does the first post contain the latest version of the compatibility pack or is there only one version? Is it compatible with 3.7.2 RC1?

The first post has the latest version, and it is compatible with 3.7.2 RC1 & 3.7.2 RC2.
Creating a fs2_open.log | Red Alert Bug = Hex Edit | MediaVPs 2014: Bigger HUD gauges | 32bit libs for 64bit Ubuntu
----
Debian Packages (testing/unstable): Freespace2 | wxLauncher
----
m|m: I think I'm suffering from Stockholm syndrome. Bmpman is starting to make sense and it's actually written reasonably well...